/* Menu Items */
#define MENU_ABOUT       2
#define MENU_EXIT        4
#define MENU_OPEN        5
#define MENU_COPY	 6
#define MENU_PASTE	 7
#define MENU_CUT         8

#define MENU_CLIP        10
#define MENU_STRETCH     11
#define MENU_MIRROR      12
#define MENU_BACKPAL     13
#define MENU_IDENTPAL    14

#define MENU_TIME        100
#define MENU_TIMEALL     101
#define MENU_TIMEXXX     102
#define MENU_TEST        200
#define MENU_SIZE        500
#define MENU_DRAW        1000
#define MENU_SIGN        2000
#define MENU_RLE         3000

/****************************************************************************
****************************************************************************/

#ifdef DEBUG
    extern void FAR CDECL dprintf(LPSTR szFormat, ...);
    #define DPF dprintf
#else
    #define DPF ; / ## /
#endif

/****************************************************************************
****************************************************************************/

#ifndef abs
#define abs(x)    (((x) < 0) ? -(x) : (x))
#endif

/****************************************************************************
****************************************************************************/

extern HINSTANCE hInstApp;
extern HWND      hwndApp;
extern HACCEL    hAccelApp;
extern HPALETTE  hpalApp;
extern HPALETTE  hpalBack;
extern BOOL      fAppActive;
extern BOOL      gfBackPal;
extern BOOL      gfClipping;
extern BOOL      gfStretch;
extern BOOL      gfMirror;

extern LPBITMAPINFOHEADER lpbiApp;
extern HBITMAP hbmApp;
extern HBITMAP hbmDS;           // from CreateDIBSection
extern HDC     hdcApp;
extern HDC     hdcDS;

extern BITMAP  bm;
extern DWORD   SizeImage;
extern DWORD   OffsetScan0;
extern LPBYTE  lpBitmapBits;
extern LPVOID  lpDibBits;
extern LPBYTE  BitmapTranslate;
